<?php
/**
 * PHP Integration of Open Flash Chart
 *
 * @version		$Id: OFC_Charts_Bar_Horizontal.php 110 2009-06-16 10:37:28Z eddieajau $
 * @copyright	Copyright (C) 2008 John Glazebrook <open-flash-chart@teethgrinder.co.uk>
 * @license		GNU Lesser General Public License version 2.1 or later.
 * @link		http://teethgrinder.co.uk/open-flash-chart-2/
 */

defined('PATH_OFC') or die;

require_once PATH_OFC.'/Charts/OFC_Charts_Bar.php';

class OFC_Charts_Bar_Horizontal_Value
{
	public function OFC_Charts_Bar_Horizontal_Value($left, $right)
	{
		$this->left = $left;
		$this->right = $right;
	}
}

class OFC_Charts_Bar_Horizontal
{

	public function OFC_Charts_Bar_Horizontal()
	{
		$this->type	  = "hbar";
		$this->colour	= "#9933CC";
		$this->text	  = "Page views";;
		$this->{'font-size'} = 10;
		$this->values	= array();
	}

	public function append_value($v)
	{
		$this->values[] = $v;
	}
}

